Upgrading rails, ruby and gems

Hi guys,

Is there any good documentation to upgrade rails, ruby and supported
gems? I
use mac tiger.
Also, what is the stable version of ruby?

Thanks,
ys

Yudi S. wrote:

Hi guys,

Is there any good documentation to upgrade rails, ruby and supported
gems? I
use mac tiger.
Also, what is the stable version of ruby?

Upgrade RubyGems with:
sudo gem update --system

Upgrade to the latest Rails with:
sudo gem install rails

Upgrade gems with:
sudo gem install <gem_name>

I’m currently running Ruby 1.8.7 (2008-08-11 patchlevel 72) on Mac OS X
10.6.2.

Here’s a guide I used to use before Mac OS X 10.5+ made it irrelevant.
(at least for me):
http://hivelogic.com/articles/ruby-rails-mongrel-mysql-osx

Thanks for your help.
I reinstall and upgrade mysql and it is working good now.

Yudi S.

This forum is not affiliated to the Ruby language, Ruby on Rails framework, nor any Ruby applications discussed here.

| Privacy Policy | Terms of Service | Remote Ruby Jobs